%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-Blowfish_PP
Version:       1.12
Release:       3mamba
Summary:       Crypt::Blowfish_PP - A pure perl implemetation of the Blowfish cryptography algorithm
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Crypt/Crypt-Blowfish_PP-%{version}.tar.gz
License:       Artistic
Requires(post):%{__install_info}
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Blowfish is a published algorithm written by Bruce Schneier (http://www.counterpane.com/).
Unlike IDEA or DES etc. there are no patent implications in using this algorithm.

The _PP name comes from the fact that this implementation is Pure Perl, and will not have any compatibility problems.

%prep
%setup -q -n Crypt-Blowfish_PP-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-3mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-2mamba
- automatic rebuild by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 1.12-1mamba
- package created by autospec
